# opendata-bike-nantes

OpenData Bike Nantes est un outil pour récupérer toutes les données disponibles remontés par différents utilisateurs (1metre, ONISR, Vigilo...)
Les données stockés sont ensuite affiché par Grafana

## Installation

Cloner le dépot et installer poetry et installer les paquets python3

```bash
pip3 install poetry
git clone https://git.dryusdan.fr/Dryusdan/opendata-bike-nantes.git
cd opendata-bike-nantes
poetry install  --no-dev
``` 

## Configuration

Créer le fichier config.yml dans le répertoire ` ~/.config/opendata_bike_nantes/config.yml`

Et remplissez le avec 
```yaml
db:
    host: <DBHOST>
    port: 5432
    user: <DBUSER>
    password: <DBPASSWORD>
    dbname: <DBNAME>
```

